"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configList = void 0;
const ini_1 = require("ini");
const sort_keys_1 = __importDefault(require("sort-keys"));
async function configList(opts) {
    const sortedConfig = (0, sort_keys_1.default)(opts.rawConfig);
    if (opts.json) {
        return JSON.stringify(sortedConfig, null, 2);
    }
    return (0, ini_1.encode)(sortedConfig);
}
exports.configList = configList;
//# sourceMappingURL=configList.js.map